Class UmlBaseActivityNode

Declaration :

- C++ : class UmlBaseActivityNode : public UmlItem
- Java : abstract class UmlBaseActivityNode extends UmlItem

Directly inherited by : UmlActivityNode

Artifact : UmlBaseActivityNode

Operation UmlBaseActivityNode

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseActivityNode(in id : item_id, in s : string) :
- C++ : protected: UmlBaseActivityNode(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseActivityNode(long id, String s)

All public operations : apply , applyStereotype , children , childrenVisible , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload